!**************************************************************
!* AceGen    7.402 Linux (2 Jan 22)                           *
!*           Co. J. Korelc  2020           24 Oct 23 11:05:04 *
!**************************************************************
! User     : Full professional version
! Notebook : elmt05_tgf_semi_implicit
! Evaluation time                 : 18 s    Mode  : Optimal
! Number of formulae              : 660     Method: Automatic
! Subroutine                      : elmts05_tgf_semi_implicit size: 13196
! Total size of Mathematica  code : 13196 subexpressions
! Total size of Fortran code      : 34609 bytes

!******************* S U B R O U T I N E **********************
      SUBROUTINE elmts05_tgf_semi_implicit(activator,coupling
     &,thetanumerical,dt,Xn,Un,xi,eta,zeta,cTvec,cTprevvec,dTGF
     &,epsilonT,kT,rhoSvec,rhoSprevvec,kS,resT,tangTU,tangTT,tangTS)
      IMPLICIT NONE
      include 'sms.h'
      INTEGER activator,coupling
      DOUBLE PRECISION v(1081),thetanumerical,dt,Xn(8,3),Un
     &(8,3),xi,eta,zeta,cTvec(8),cTprevvec(8),dTGF,epsilonT,kT
     &,rhoSvec(8),rhoSprevvec(8),kS,resT(8),tangTU(8,24),tangTT(8,8)
     &,tangTS(8,8)
      v(4)=dt
      v(5)=Xn(1,1)
      v(6)=Xn(1,2)
      v(7)=Xn(1,3)
      v(8)=Xn(2,1)
      v(895)=-v(5)+v(8)
      v(9)=Xn(2,2)
      v(891)=-v(6)+v(9)
      v(10)=Xn(2,3)
      v(887)=v(10)-v(7)
      v(11)=Xn(3,1)
      v(882)=-v(11)+v(8)
      v(12)=Xn(3,2)
      v(878)=-v(12)+v(9)
      v(13)=Xn(3,3)
      v(874)=v(10)-v(13)
      v(14)=Xn(4,1)
      v(894)=v(11)-v(14)
      v(883)=-v(14)+v(5)
      v(15)=Xn(4,2)
      v(890)=v(12)-v(15)
      v(879)=-v(15)+v(6)
      v(16)=Xn(4,3)
      v(886)=v(13)-v(16)
      v(875)=-v(16)+v(7)
      v(17)=Xn(5,1)
      v(871)=-v(17)+v(5)
      v(18)=Xn(5,2)
      v(867)=-v(18)+v(6)
      v(19)=Xn(5,3)
      v(863)=-v(19)+v(7)
      v(20)=Xn(6,1)
      v(893)=-v(17)+v(20)
      v(870)=-v(20)+v(8)
      v(21)=Xn(6,2)
      v(889)=-v(18)+v(21)
      v(866)=-v(21)+v(9)
      v(22)=Xn(6,3)
      v(885)=-v(19)+v(22)
      v(862)=v(10)-v(22)
      v(23)=Xn(7,1)
      v(880)=v(20)-v(23)
      v(869)=v(11)-v(23)
      v(24)=Xn(7,2)
      v(876)=v(21)-v(24)
      v(865)=v(12)-v(24)
      v(25)=Xn(7,3)
      v(872)=v(22)-v(25)
      v(861)=v(13)-v(25)
      v(26)=Xn(8,1)
      v(892)=v(23)-v(26)
      v(881)=v(17)-v(26)
      v(868)=v(14)-v(26)
      v(27)=Xn(8,2)
      v(888)=v(24)-v(27)
      v(877)=v(18)-v(27)
      v(864)=v(15)-v(27)
      v(28)=Xn(8,3)
      v(884)=v(25)-v(28)
      v(873)=v(19)-v(28)
      v(860)=v(16)-v(28)
      v(29)=Un(1,1)
      v(30)=Un(1,2)
      v(31)=Un(1,3)
      v(32)=Un(2,1)
      v(33)=Un(2,2)
      v(34)=Un(2,3)
      v(35)=Un(3,1)
      v(36)=Un(3,2)
      v(37)=Un(3,3)
      v(38)=Un(4,1)
      v(39)=Un(4,2)
      v(40)=Un(4,3)
      v(41)=Un(5,1)
      v(42)=Un(5,2)
      v(43)=Un(5,3)
      v(44)=Un(6,1)
      v(45)=Un(6,2)
      v(46)=Un(6,3)
      v(47)=Un(7,1)
      v(48)=Un(7,2)
      v(49)=Un(7,3)
      v(50)=Un(8,1)
      v(51)=Un(8,2)
      v(52)=Un(8,3)
      v(53)=xi
      v(99)=1d0-v(53)
      v(95)=1d0+v(53)
      v(54)=eta
      v(105)=1d0+v(54)
      v(138)=v(105)/8d0
      v(146)=-(v(138)*v(99))
      v(145)=-(v(138)*v(95))
      v(101)=1d0-v(54)
      v(139)=v(101)/8d0
      v(144)=-(v(139)*v(95))
      v(142)=-(v(139)*v(99))
      v(157)=v(146)*v(860)+v(145)*v(861)+v(144)*v(862)+v(142)*v(863)
      v(154)=v(146)*v(864)+v(145)*v(865)+v(144)*v(866)+v(142)*v(867)
      v(151)=v(146)*v(868)+v(145)*v(869)+v(144)*v(870)+v(142)*v(871)
      v(55)=zeta
      v(137)=(1d0+v(55))/8d0
      v(148)=-(v(137)*v(95))
      v(147)=-(v(137)*v(99))
      v(108)=v(105)*v(137)
      v(103)=v(101)*v(137)
      v(140)=(1d0-v(55))/8d0
      v(143)=-(v(140)*v(95))
      v(141)=-(v(140)*v(99))
      v(156)=v(148)*v(872)+v(147)*v(873)+v(143)*v(874)+v(141)*v(875)
      v(153)=v(148)*v(876)+v(147)*v(877)+v(143)*v(878)+v(141)*v(879)
      v(175)=-(v(154)*v(156))+v(153)*v(157)
      v(150)=v(148)*v(880)+v(147)*v(881)+v(143)*v(882)+v(141)*v(883)
      v(411)=-(v(151)*v(153))+v(150)*v(154)
      v(395)=v(151)*v(156)-v(150)*v(157)
      v(98)=v(105)*v(140)
      v(93)=v(101)*v(140)
      v(155)=v(108)*v(884)+v(103)*v(885)+v(887)*v(93)+v(886)*v(98)
      v(152)=v(108)*v(888)+v(103)*v(889)+v(891)*v(93)+v(890)*v(98)
      v(183)=-(v(153)*v(155))+v(152)*v(156)
      v(179)=-(v(154)*v(155))+v(152)*v(157)
      v(149)=v(108)*v(892)+v(103)*v(893)+v(895)*v(93)+v(894)*v(98)
      v(475)=-(v(150)*v(152))+v(149)*v(153)
      v(465)=v(150)*v(155)-v(149)*v(156)
      v(446)=v(151)*v(152)-v(149)*v(154)
      v(436)=-(v(151)*v(155))+v(149)*v(157)
      v(56)=cTvec(1)
      v(57)=cTvec(2)
      v(58)=cTvec(3)
      v(59)=cTvec(4)
      v(60)=cTvec(5)
      v(61)=cTvec(6)
      v(62)=cTvec(7)
      v(63)=cTvec(8)
      v(942)=dTGF*v(4)
      v(92)=v(93)*v(99)
      v(944)=(v(92)*v(92))
      v(94)=v(93)*v(95)
      v(97)=v(95)*v(98)
      v(100)=v(98)*v(99)
      v(102)=v(103)*v(99)
      v(104)=v(103)*v(95)
      v(107)=v(108)*v(95)
      v(109)=v(108)*v(99)
      v(158)=v(149)*v(175)-v(150)*v(179)+v(151)*v(183)
      v(377)=1d0/v(158)**2
      v(176)=-(v(175)/v(158))
      v(337)=v(140)*v(176)
      v(325)=v(137)*v(176)
      v(301)=v(139)*v(176)
      v(289)=-(v(138)*v(176))
      v(241)=-(v(108)*v(176))
      v(232)=v(103)*v(176)
      v(223)=-(v(176)*v(98))
      v(214)=v(176)*v(93)
      v(177)=-(v(395)/v(158))
      v(340)=v(140)*v(177)
      v(327)=v(137)*v(177)
      v(304)=v(139)*v(177)
      v(291)=-(v(138)*v(177))
      v(243)=-(v(108)*v(177))
      v(234)=v(103)*v(177)
      v(225)=-(v(177)*v(98))
      v(216)=v(177)*v(93)
      v(178)=-(v(411)/v(158))
      v(343)=v(140)*v(178)
      v(329)=v(137)*v(178)
      v(307)=v(139)*v(178)
      v(293)=-(v(138)*v(178))
      v(245)=-(v(108)*v(178))
      v(236)=v(103)*v(178)
      v(227)=-(v(178)*v(98))
      v(218)=v(178)*v(93)
      v(180)=-(v(179)/v(158))
      v(202)=v(140)*v(180)
      v(190)=v(137)*v(180)
      v(181)=v(436)/v(158)
      v(205)=v(140)*v(181)
      v(192)=v(137)*v(181)
      v(182)=v(446)/v(158)
      v(208)=v(140)*v(182)
      v(194)=v(137)*v(182)
      v(184)=v(183)/v(158)
      v(203)=v(139)*v(184)
      v(196)=v(138)*v(184)
      v(185)=v(465)/v(158)
      v(206)=v(139)*v(185)
      v(198)=v(138)*v(185)
      v(186)=v(475)/v(158)
      v(209)=v(139)*v(186)
      v(200)=v(138)*v(186)
      v(187)=v(190)+v(196)
      v(606)=-(v(178)*v(187))
      v(602)=-(v(176)*v(187))
      v(188)=v(192)+v(198)
      v(612)=-(v(178)*v(188))
      v(610)=-(v(177)*v(188))
      v(608)=-(v(176)*v(188))
      v(189)=v(194)+v(200)
      v(618)=-(v(178)*v(189))
      v(191)=-v(190)+v(203)
      v(579)=v(178)*v(191)
      v(575)=v(176)*v(191)
      v(193)=-v(192)+v(206)
      v(585)=v(178)*v(193)
      v(583)=v(177)*v(193)
      v(581)=v(176)*v(193)
      v(195)=-v(194)+v(209)
      v(591)=v(178)*v(195)
      v(197)=-v(196)+v(202)
      v(552)=-(v(178)*v(197))
      v(548)=-(v(176)*v(197))
      v(199)=-v(198)+v(205)
      v(558)=-(v(178)*v(199))
      v(556)=-(v(177)*v(199))
      v(554)=-(v(176)*v(199))
      v(201)=-v(200)+v(208)
      v(564)=-(v(178)*v(201))
      v(204)=-v(202)-v(203)
      v(525)=v(178)*v(204)
      v(521)=v(176)*v(204)
      v(207)=-v(205)-v(206)
      v(531)=v(178)*v(207)
      v(529)=v(177)*v(207)
      v(527)=v(176)*v(207)
      v(210)=-v(208)-v(209)
      v(537)=v(178)*v(210)
      v(211)=v(214)+v(204)*v(99)
      v(212)=v(216)+v(207)*v(99)
      v(213)=v(218)+v(210)*v(99)
      v(215)=-v(214)+v(204)*v(95)
      v(217)=-v(216)+v(207)*v(95)
      v(219)=-v(218)+v(210)*v(95)
      v(220)=v(223)+v(197)*v(95)
      v(221)=v(225)+v(199)*v(95)
      v(222)=v(227)+v(201)*v(95)
      v(224)=-v(223)+v(197)*v(99)
      v(226)=-v(225)+v(199)*v(99)
      v(228)=-v(227)+v(201)*v(99)
      v(229)=v(232)+v(191)*v(99)
      v(230)=v(234)+v(193)*v(99)
      v(231)=v(236)+v(195)*v(99)
      v(233)=-v(232)+v(191)*v(95)
      v(235)=-v(234)+v(193)*v(95)
      v(237)=-v(236)+v(195)*v(95)
      v(238)=v(241)+v(187)*v(95)
      v(239)=v(243)+v(188)*v(95)
      v(240)=v(245)+v(189)*v(95)
      v(242)=-v(241)+v(187)*v(99)
      v(244)=-v(243)+v(188)*v(99)
      v(246)=-v(245)+v(189)*v(99)
      v(256)=1d0+v(211)*v(29)+v(215)*v(32)+v(220)*v(35)+v(224)*v(38)
     &+v(229)*v(41)+v(233)*v(44)+v(238)*v(47)+v(242)*v(50)
      v(257)=v(212)*v(29)+v(217)*v(32)+v(221)*v(35)+v(226)*v(38)+v
     &(230)*v(41)+v(235)*v(44)+v(239)*v(47)+v(244)*v(50)
      v(258)=v(213)*v(29)+v(219)*v(32)+v(222)*v(35)+v(228)*v(38)+v
     &(231)*v(41)+v(237)*v(44)+v(240)*v(47)+v(246)*v(50)
      v(259)=v(211)*v(30)+v(215)*v(33)+v(220)*v(36)+v(224)*v(39)+v
     &(229)*v(42)+v(233)*v(45)+v(238)*v(48)+v(242)*v(51)
      v(260)=1d0+v(212)*v(30)+v(217)*v(33)+v(221)*v(36)+v(226)*v(39)
     &+v(230)*v(42)+v(235)*v(45)+v(239)*v(48)+v(244)*v(51)
      v(261)=v(213)*v(30)+v(219)*v(33)+v(222)*v(36)+v(228)*v(39)+v
     &(231)*v(42)+v(237)*v(45)+v(240)*v(48)+v(246)*v(51)
      v(262)=v(211)*v(31)+v(215)*v(34)+v(220)*v(37)+v(224)*v(40)+v
     &(229)*v(43)+v(233)*v(46)+v(238)*v(49)+v(242)*v(52)
      v(263)=v(212)*v(31)+v(217)*v(34)+v(221)*v(37)+v(226)*v(40)+v
     &(230)*v(43)+v(235)*v(46)+v(239)*v(49)+v(244)*v(52)
      v(658)=-(v(260)*v(262))+v(259)*v(263)
      v(264)=1d0+v(213)*v(31)+v(219)*v(34)+v(222)*v(37)+v(228)*v(40)
     &+v(231)*v(43)+v(237)*v(46)+v(240)*v(49)+v(246)*v(52)
      v(657)=-(v(261)*v(262))+v(259)*v(264)
      v(656)=-(v(261)*v(263))+v(260)*v(264)
      v(265)=v(256)*v(656)-v(257)*v(657)+v(258)*v(658)
      v(959)=-(v(109)/v(265))
      v(957)=-(v(107)/v(265))
      v(955)=-(v(104)/v(265))
      v(953)=-(v(102)/v(265))
      v(951)=-(v(100)/v(265))
      v(949)=-(v(97)/v(265))
      v(947)=-(v(94)/v(265))
      v(945)=-(v(92)/v(265))
      v(266)=(v(256)*v(256))+(v(259)*v(259))+(v(262)*v(262))
      v(267)=v(256)*v(257)+v(259)*v(260)+v(262)*v(263)
      v(280)=(v(267)*v(267))
      v(268)=v(256)*v(258)+v(259)*v(261)+v(262)*v(264)
      v(277)=(v(268)*v(268))
      v(269)=(v(257)*v(257))+(v(260)*v(260))+(v(263)*v(263))
      v(270)=v(257)*v(258)+v(260)*v(261)+v(263)*v(264)
      v(859)=v(268)*v(270)
      v(271)=(v(258)*v(258))+(v(261)*v(261))+(v(264)*v(264))
      v(858)=-(v(270)*v(270))+v(269)*v(271)
      v(272)=1d0/(-(v(269)*v(277))-v(271)*v(280)+v(266)*v(858)+2d0*v
     &(267)*v(859))
      v(274)=v(272)*v(858)
      v(275)=v(272)*(-(v(267)*v(271))+v(859))
      v(276)=(-(v(268)*v(269))+v(267)*v(270))*v(272)
      v(278)=v(272)*(v(266)*v(271)-v(277))
      v(279)=(v(267)*v(268)-v(266)*v(270))*v(272)
      v(281)=v(272)*(v(266)*v(269)-v(280))
      v(283)=v(180)/8d0
      v(898)=v(184)*v(283)
      v(896)=v(185)*v(283)
      v(302)=-(v(283)*v(99))
      v(295)=-(v(283)*v(95))
      v(284)=v(181)/8d0
      v(901)=v(185)*v(284)
      v(305)=-(v(284)*v(99))
      v(297)=-(v(284)*v(95))
      v(285)=v(182)/8d0
      v(308)=-(v(285)*v(99))
      v(299)=-(v(285)*v(95))
      v(286)=v(289)+v(302)
      v(287)=v(291)+v(305)
      v(288)=v(293)+v(308)
      v(290)=-v(289)+v(295)
      v(292)=-v(291)+v(297)
      v(294)=-v(293)+v(299)
      v(296)=-v(295)+v(301)
      v(298)=-v(297)+v(304)
      v(300)=-v(299)+v(307)
      v(303)=-v(301)-v(302)
      v(306)=-v(304)-v(305)
      v(309)=-v(307)-v(308)
      v(310)=v(286)*v(860)+v(290)*v(861)+v(296)*v(862)+v(303)*v(863)
      v(311)=v(287)*v(860)+v(292)*v(861)+v(298)*v(862)+v(306)*v(863)
      v(312)=v(288)*v(860)+v(294)*v(861)+v(300)*v(862)+v(309)*v(863)
      v(313)=v(286)*v(864)+v(290)*v(865)+v(296)*v(866)+v(303)*v(867)
      v(314)=v(287)*v(864)+v(292)*v(865)+v(298)*v(866)+v(306)*v(867)
      v(315)=v(288)*v(864)+v(294)*v(865)+v(300)*v(866)+v(309)*v(867)
      v(316)=v(286)*v(868)+v(290)*v(869)+v(296)*v(870)+v(303)*v(871)
      v(317)=v(287)*v(868)+v(292)*v(869)+v(298)*v(870)+v(306)*v(871)
      v(318)=v(288)*v(868)+v(294)*v(869)+v(300)*v(870)+v(309)*v(871)
      v(319)=v(184)/8d0
      v(900)=v(181)*v(319)
      v(899)=v(182)*v(319)
      v(338)=-(v(319)*v(99))
      v(331)=-(v(319)*v(95))
      v(320)=v(185)/8d0
      v(905)=v(182)*v(320)
      v(341)=-(v(320)*v(99))
      v(333)=-(v(320)*v(95))
      v(321)=v(186)/8d0
      v(918)=v(180)*v(321)
      v(915)=v(181)*v(321)
      v(913)=v(182)*v(321)
      v(344)=-(v(321)*v(99))
      v(335)=-(v(321)*v(95))
      v(322)=v(325)+v(331)
      v(323)=v(327)+v(333)
      v(324)=v(329)+v(335)
      v(326)=-v(325)+v(338)
      v(328)=-v(327)+v(341)
      v(330)=-v(329)+v(344)
      v(332)=-v(331)+v(337)
      v(334)=-v(333)+v(340)
      v(336)=-v(335)+v(343)
      v(339)=-v(337)-v(338)
      v(342)=-v(340)-v(341)
      v(345)=-v(343)-v(344)
      v(346)=v(322)*v(872)+v(326)*v(873)+v(332)*v(874)+v(339)*v(875)
      v(347)=v(323)*v(872)+v(328)*v(873)+v(334)*v(874)+v(342)*v(875)
      v(348)=v(324)*v(872)+v(330)*v(873)+v(336)*v(874)+v(345)*v(875)
      v(349)=v(322)*v(876)+v(326)*v(877)+v(332)*v(878)+v(339)*v(879)
      v(350)=v(323)*v(876)+v(328)*v(877)+v(334)*v(878)+v(342)*v(879)
      v(351)=v(324)*v(876)+v(330)*v(877)+v(336)*v(878)+v(345)*v(879)
      v(352)=v(153)*v(310)-v(156)*v(313)-v(154)*v(346)+v(157)*v(349)
      v(355)=v(322)*v(880)+v(326)*v(881)+v(332)*v(882)+v(339)*v(883)
      v(356)=v(323)*v(880)+v(328)*v(881)+v(334)*v(882)+v(342)*v(883)
      v(357)=v(324)*v(880)+v(330)*v(881)+v(336)*v(882)+v(345)*v(883)
      v(358)=v(187)*v(884)+v(191)*v(885)+v(197)*v(886)+v(204)*v(887)
      v(359)=v(188)*v(884)+v(193)*v(885)+v(199)*v(886)+v(207)*v(887)
      v(360)=v(189)*v(884)+v(195)*v(885)+v(201)*v(886)+v(210)*v(887)
      v(361)=v(187)*v(888)+v(191)*v(889)+v(197)*v(890)+v(204)*v(891)
      v(362)=v(188)*v(888)+v(193)*v(889)+v(199)*v(890)+v(207)*v(891)
      v(363)=v(189)*v(888)+v(195)*v(889)+v(201)*v(890)+v(210)*v(891)
      v(364)=v(152)*v(346)-v(155)*v(349)-v(153)*v(358)+v(156)*v(361)
      v(366)=v(152)*v(348)-v(155)*v(351)-v(153)*v(360)+v(156)*v(363)
      v(367)=v(152)*v(310)-v(155)*v(313)-v(154)*v(358)+v(157)*v(361)
      v(370)=v(187)*v(892)+v(191)*v(893)+v(197)*v(894)+v(204)*v(895)
      v(371)=v(188)*v(892)+v(193)*v(893)+v(199)*v(894)+v(207)*v(895)
      v(372)=v(189)*v(892)+v(195)*v(893)+v(201)*v(894)+v(210)*v(895)
      v(897)=-((v(183)*v(316)+v(149)*v(352)-v(179)*v(355)+v(151)*v
     &(364)-v(150)*v(367)+v(175)*v(370))*v(377))
      v(466)=(-(v(149)*v(346))+v(155)*v(355)+v(150)*v(358)-v(156)*v
     &(370))/v(158)+v(465)*v(897)
      v(903)=v(139)*v(466)
      v(902)=v(138)*v(466)
      v(472)=v(896)+v(902)
      v(469)=-v(896)+v(903)
      v(456)=v(364)/v(158)+v(183)*v(897)
      v(462)=v(138)*v(456)+v(898)
      v(459)=v(139)*v(456)-v(898)
      v(447)=(-(v(149)*v(313))+v(152)*v(316)+v(151)*v(361)-v(154)*v
     &(370))/v(158)+v(446)*v(897)
      v(919)=v(140)*v(447)
      v(917)=v(137)*v(447)
      v(437)=(v(149)*v(310)-v(155)*v(316)-v(151)*v(358)+v(157)*v(370)
     &)/v(158)+v(436)*v(897)
      v(907)=v(140)*v(437)
      v(906)=v(137)*v(437)
      v(443)=v(900)+v(906)
      v(497)=-v(443)+v(469)
      v(488)=v(443)+v(472)
      v(440)=-v(900)+v(907)
      v(515)=-v(440)-v(469)
      v(506)=v(440)-v(472)
      v(427)=-(v(367)/v(158))-v(179)*v(897)
      v(433)=v(137)*v(427)+v(898)
      v(494)=-v(433)+v(459)
      v(485)=v(433)+v(462)
      v(430)=v(140)*v(427)-v(898)
      v(512)=-v(430)-v(459)
      v(503)=v(430)-v(462)
      v(412)=(-(v(150)*v(313))+v(153)*v(316)+v(151)*v(349)-v(154)*v
     &(355))/v(158)-v(411)*v(897)
      v(927)=-(v(108)*v(412))
      v(926)=v(103)*v(412)
      v(925)=-(v(412)*v(98))
      v(924)=v(412)*v(93)
      v(396)=(v(150)*v(310)-v(156)*v(316)-v(151)*v(346)+v(157)*v(355)
     &)/v(158)-v(395)*v(897)
      v(911)=-(v(108)*v(396))
      v(910)=v(103)*v(396)
      v(909)=-(v(396)*v(98))
      v(908)=v(396)*v(93)
      v(408)=v(177)*v(204)+v(908)
      v(542)=-v(408)-v(527)+v(515)*v(95)
      v(528)=v(408)+v(527)+v(515)*v(99)
      v(405)=-(v(177)*v(197))+v(909)
      v(569)=-v(405)-v(554)+v(506)*v(99)
      v(555)=v(405)+v(554)+v(506)*v(95)
      v(402)=v(177)*v(191)+v(910)
      v(596)=-v(402)-v(581)+v(497)*v(95)
      v(582)=v(402)+v(581)+v(497)*v(99)
      v(399)=-(v(177)*v(187))+v(911)
      v(632)=-v(399)-v(608)+v(488)*v(99)
      v(609)=v(399)+v(608)+v(488)*v(95)
      v(934)=v(29)*v(528)+v(32)*v(542)+v(35)*v(555)+v(38)*v(569)+v(41
     &)*v(582)+v(44)*v(596)+v(47)*v(609)+v(50)*v(632)
      v(638)=v(30)*v(528)+v(33)*v(542)+v(36)*v(555)+v(39)*v(569)+v(42
     &)*v(582)+v(45)*v(596)+v(48)*v(609)+v(51)*v(632)
      v(933)=v(264)*v(638)
      v(635)=v(31)*v(528)+v(34)*v(542)+v(37)*v(555)+v(40)*v(569)+v(43
     &)*v(582)+v(46)*v(596)+v(49)*v(609)+v(52)*v(632)
      v(932)=-(v(261)*v(635))
      v(380)=-(v(352)/v(158))-v(175)*v(897)
      v(392)=v(521)+v(380)*v(93)
      v(539)=-v(392)-v(521)+v(512)*v(95)
      v(522)=v(392)+v(521)+v(512)*v(99)
      v(389)=v(548)-v(380)*v(98)
      v(566)=-v(389)-v(548)+v(503)*v(99)
      v(549)=v(389)+v(548)+v(503)*v(95)
      v(386)=v(103)*v(380)+v(575)
      v(593)=-v(386)-v(575)+v(494)*v(95)
      v(576)=v(386)+v(575)+v(494)*v(99)
      v(383)=-(v(108)*v(380))+v(602)
      v(620)=-v(383)-v(602)+v(485)*v(99)
      v(603)=v(383)+v(602)+v(485)*v(95)
      v(626)=v(30)*v(522)+v(33)*v(539)+v(36)*v(549)+v(39)*v(566)+v(42
     &)*v(576)+v(45)*v(593)+v(48)*v(603)+v(51)*v(620)
      v(623)=v(31)*v(522)+v(34)*v(539)+v(37)*v(549)+v(40)*v(566)+v(43
     &)*v(576)+v(46)*v(593)+v(49)*v(603)+v(52)*v(620)
      v(904)=-((v(183)*v(317)+v(149)*(v(153)*v(311)-v(156)*v(314)-v
     &(154)*v(347)+v(157)*v(350))-v(179)*v(356)+v(151)*(v(152)*v(347)
     &-v(155)*v(350)-v(153)*v(359)+v(156)*v(362))-v(150)*(v(152)*v
     &(311)-v(155)*v(314)-v(154)*v(359)+v(157)*v(362))+v(175)*v(371)
     &)*v(377))
      v(467)=(-(v(149)*v(347))+v(155)*v(356)+v(150)*v(359)-v(156)*v
     &(371))/v(158)+v(465)*v(904)
      v(473)=v(138)*v(467)+v(901)
      v(470)=v(139)*v(467)-v(901)
      v(448)=(-(v(149)*v(314))+v(152)*v(317)+v(151)*v(362)-v(154)*v
     &(371))/v(158)+v(446)*v(904)
      v(916)=v(140)*v(448)
      v(914)=v(137)*v(448)
      v(438)=(v(149)*v(311)-v(155)*v(317)-v(151)*v(359)+v(157)*v(371)
     &)/v(158)+v(436)*v(904)
      v(444)=v(137)*v(438)+v(901)
      v(498)=-v(444)+v(470)
      v(489)=v(444)+v(473)
      v(441)=v(140)*v(438)-v(901)
      v(516)=-v(441)-v(470)
      v(507)=v(441)-v(473)
      v(413)=(-(v(150)*v(314))+v(153)*v(317)+v(151)*v(350)-v(154)*v
     &(356))/v(158)-v(411)*v(904)
      v(923)=-(v(108)*v(413))
      v(922)=v(103)*v(413)
      v(921)=-(v(413)*v(98))
      v(920)=v(413)*v(93)
      v(397)=(v(150)*v(311)-v(156)*v(317)-v(151)*v(347)+v(157)*v(356)
     &)/v(158)-v(395)*v(904)
      v(409)=v(529)+v(397)*v(93)
      v(543)=-v(409)-v(529)+v(516)*v(95)
      v(530)=v(409)+v(529)+v(516)*v(99)
      v(406)=v(556)-v(397)*v(98)
      v(570)=-v(406)-v(556)+v(507)*v(99)
      v(557)=v(406)+v(556)+v(507)*v(95)
      v(403)=v(103)*v(397)+v(583)
      v(597)=-v(403)-v(583)+v(498)*v(95)
      v(584)=v(403)+v(583)+v(498)*v(99)
      v(400)=-(v(108)*v(397))+v(610)
      v(633)=-v(400)-v(610)+v(489)*v(99)
      v(611)=v(400)+v(610)+v(489)*v(95)
      v(639)=v(30)*v(530)+v(33)*v(543)+v(36)*v(557)+v(39)*v(570)+v(42
     &)*v(584)+v(45)*v(597)+v(48)*v(611)+v(51)*v(633)
      v(636)=v(31)*v(530)+v(34)*v(543)+v(37)*v(557)+v(40)*v(570)+v(43
     &)*v(584)+v(46)*v(597)+v(49)*v(611)+v(52)*v(633)
      v(912)=-((v(183)*v(318)+v(149)*(v(153)*v(312)-v(156)*v(315)-v
     &(154)*v(348)+v(157)*v(351))-v(179)*v(357)-v(150)*(v(152)*v(312)
     &-v(155)*v(315)-v(154)*v(360)+v(157)*v(363))+v(151)*v(366)+v(175
     &)*v(372))*v(377))
      v(468)=(-(v(149)*v(348))+v(155)*v(357)+v(150)*v(360)-v(156)*v
     &(372))/v(158)+v(465)*v(912)
      v(931)=v(139)*v(468)
      v(930)=v(138)*v(468)
      v(474)=v(905)+v(930)
      v(471)=-v(905)+v(931)
      v(458)=v(366)/v(158)+v(183)*v(912)
      v(929)=v(139)*v(458)
      v(928)=v(138)*v(458)
      v(464)=v(899)+v(928)
      v(461)=-v(899)+v(929)
      v(449)=(-(v(149)*v(315))+v(152)*v(318)+v(151)*v(363)-v(154)*v
     &(372))/v(158)+v(446)*v(912)
      v(455)=v(137)*v(449)+v(913)
      v(452)=v(140)*v(449)-v(913)
      v(445)=v(914)+v(915)
      v(499)=-v(445)+v(471)
      v(490)=v(445)+v(474)
      v(442)=-v(915)+v(916)
      v(517)=-v(442)-v(471)
      v(508)=v(442)-v(474)
      v(435)=v(917)+v(918)
      v(496)=-v(435)+v(461)
      v(487)=v(435)+v(464)
      v(432)=-v(918)+v(919)
      v(514)=-v(432)-v(461)
      v(505)=v(432)-v(464)
      v(414)=(-(v(150)*v(315))+v(153)*v(318)+v(151)*v(351)-v(154)*v
     &(357))/v(158)-v(411)*v(912)
      v(426)=v(537)+v(414)*v(93)
      v(423)=v(564)-v(414)*v(98)
      v(420)=v(103)*v(414)+v(591)
      v(417)=-(v(108)*v(414))+v(618)
      v(410)=v(177)*v(210)+v(920)
      v(544)=-v(410)-v(531)+v(517)*v(95)
      v(532)=v(410)+v(531)+v(517)*v(99)
      v(407)=-(v(177)*v(201))+v(921)
      v(571)=-v(407)-v(558)+v(508)*v(99)
      v(559)=v(407)+v(558)+v(508)*v(95)
      v(404)=v(177)*v(195)+v(922)
      v(598)=-v(404)-v(585)+v(499)*v(95)
      v(586)=v(404)+v(585)+v(499)*v(99)
      v(401)=-(v(177)*v(189))+v(923)
      v(634)=-v(401)-v(612)+v(490)*v(99)
      v(613)=v(401)+v(612)+v(490)*v(95)
      v(640)=v(30)*v(532)+v(33)*v(544)+v(36)*v(559)+v(39)*v(571)+v(42
     &)*v(586)+v(45)*v(598)+v(48)*v(613)+v(51)*v(634)
      v(637)=v(31)*v(532)+v(34)*v(544)+v(37)*v(559)+v(40)*v(571)+v(43
     &)*v(586)+v(46)*v(598)+v(49)*v(613)+v(52)*v(634)
      v(394)=v(176)*v(210)+v(924)
      v(541)=-v(394)-v(525)+v(514)*v(95)
      v(526)=v(394)+v(525)+v(514)*v(99)
      v(391)=-(v(176)*v(201))+v(925)
      v(568)=-v(391)-v(552)+v(505)*v(99)
      v(553)=v(391)+v(552)+v(505)*v(95)
      v(388)=v(176)*v(195)+v(926)
      v(595)=-v(388)-v(579)+v(496)*v(95)
      v(580)=v(388)+v(579)+v(496)*v(99)
      v(385)=-(v(176)*v(189))+v(927)
      v(622)=-v(385)-v(606)+v(487)*v(99)
      v(607)=v(385)+v(606)+v(487)*v(95)
      v(628)=v(30)*v(526)+v(33)*v(541)+v(36)*v(553)+v(39)*v(568)+v(42
     &)*v(580)+v(45)*v(595)+v(48)*v(607)+v(51)*v(622)
      v(625)=v(31)*v(526)+v(34)*v(541)+v(37)*v(553)+v(40)*v(568)+v(43
     &)*v(580)+v(46)*v(595)+v(49)*v(607)+v(52)*v(622)
      v(939)=v(29)*v(526)+v(32)*v(541)+v(35)*v(553)+v(38)*v(568)+v(41
     &)*v(580)+v(44)*v(595)+v(47)*v(607)+v(50)*v(622)
      v(936)=-(v(263)*v(628))
      v(935)=v(260)*v(625)
      v(659)=v(257)*(v(261)*v(623)-v(259)*v(625)-v(264)*v(626)+v(262
     &)*v(628))+v(258)*(-(v(260)*v(623))+v(263)*v(626)+v(259)*v(635)
     &-v(262)*v(638))+(v(29)*v(522)+v(32)*v(539)+v(35)*v(549)+v(38)*v
     &(566)+v(41)*v(576)+v(44)*v(593)+v(47)*v(603)+v(50)*v(620))*v
     &(656)-v(657)*v(934)+v(256)*(v(932)+v(933)+v(935)+v(936))+v(658
     &)*v(939)
      v(940)=v(29)*v(532)+v(32)*v(544)+v(35)*v(559)+v(38)*v(571)+v(41
     &)*v(586)+v(44)*v(598)+v(47)*v(613)+v(50)*v(634)
      v(938)=v(262)*v(640)
      v(937)=-(v(259)*v(637))
      v(660)=v(258)*(-(v(260)*v(635))+v(259)*v(636)+v(263)*v(638)-v
     &(262)*v(639))+v(256)*(-(v(261)*v(636))+v(260)*v(637)+v(264)*v
     &(639)-v(263)*v(640))-(v(29)*v(530)+v(32)*v(543)+v(35)*v(557)+v
     &(38)*v(570)+v(41)*v(584)+v(44)*v(597)+v(47)*v(611)+v(50)*v(633)
     &)*v(657)+v(656)*v(934)+v(257)*(-v(932)-v(933)+v(937)+v(938))+v
     &(658)*v(940)
      v(478)=(v(149)*v(351)-v(152)*v(357)-v(150)*v(363)+v(153)*v(372)
     &)/v(158)+v(475)*v(912)
      v(484)=v(138)*v(478)+v(913)
      v(511)=v(452)-v(484)
      v(574)=-v(423)-v(564)+v(511)*v(99)
      v(565)=v(423)+v(564)+v(511)*v(95)
      v(493)=v(455)+v(484)
      v(646)=-v(417)-v(618)+v(493)*v(99)
      v(619)=v(417)+v(618)+v(493)*v(95)
      v(481)=v(139)*v(478)-v(913)
      v(520)=-v(452)-v(481)
      v(547)=-v(426)-v(537)+v(520)*v(95)
      v(538)=v(426)+v(537)+v(520)*v(99)
      v(502)=-v(455)+v(481)
      v(601)=-v(420)-v(591)+v(502)*v(95)
      v(592)=v(420)+v(591)+v(502)*v(99)
      v(652)=v(30)*v(538)+v(33)*v(547)+v(36)*v(565)+v(39)*v(574)+v(42
     &)*v(592)+v(45)*v(601)+v(48)*v(619)+v(51)*v(646)
      v(649)=v(31)*v(538)+v(34)*v(547)+v(37)*v(565)+v(40)*v(574)+v(43
     &)*v(592)+v(46)*v(601)+v(49)*v(619)+v(52)*v(646)
      v(661)=v(257)*(v(261)*v(625)-v(264)*v(628)-v(259)*v(649)+v(262
     &)*v(652))+v(256)*(-(v(261)*v(637))+v(264)*v(640)+v(260)*v(649)
     &-v(263)*v(652))+(v(29)*v(538)+v(32)*v(547)+v(35)*v(565)+v(38)*v
     &(574)+v(41)*v(592)+v(44)*v(601)+v(47)*v(619)+v(50)*v(646))*v
     &(658)+v(258)*(-v(935)-v(936)-v(937)-v(938))+v(656)*v(939)-v(657
     &)*v(940)
      v(663)=v(100)*v(59)+v(102)*v(60)+v(104)*v(61)+v(107)*v(62)+v
     &(109)*v(63)+v(56)*v(92)+v(57)*v(94)+v(58)*v(97)
      v(943)=-(v(663)/v(265))
      v(729)=(epsilonT*kS*v(4)*(rhoSprevvec(4)*v(100)+rhoSprevvec(5
     &)*v(102)+rhoSprevvec(6)*v(104)+rhoSprevvec(7)*v(107)
     &+rhoSprevvec(8)*v(109)+rhoSprevvec(1)*v(92)+rhoSprevvec(2)*v(94
     &)+rhoSprevvec(3)*v(97)))/v(265)
      v(737)=v(109)*v(729)
      v(971)=v(107)*(v(109)+v(737))
      v(969)=v(102)*(v(109)+v(737))
      v(966)=v(100)*(v(109)+v(737))
      v(965)=(v(109)+v(737))*v(97)
      v(958)=(v(109)+v(737))*v(92)
      v(736)=v(107)*v(729)
      v(970)=v(104)*(v(107)+v(736))
      v(964)=(v(107)+v(736))*v(97)
      v(968)=v(102)*(v(107)+v(736))
      v(962)=(v(107)+v(736))*v(94)
      v(956)=(v(107)+v(736))*v(92)
      v(735)=v(104)*v(729)
      v(967)=v(102)*(v(104)+v(735))
      v(961)=(v(104)+v(735))*v(94)
      v(954)=(v(104)+v(735))*v(92)
      v(734)=v(102)*v(729)
      v(952)=(v(102)+v(734))*v(92)
      v(733)=v(100)*v(729)
      v(963)=(v(100)+v(733))*v(97)
      v(950)=(v(100)+v(733))*v(92)
      v(732)=v(729)*v(97)
      v(960)=v(94)*(v(732)+v(97))
      v(948)=v(92)*(v(732)+v(97))
      v(731)=v(729)*v(94)
      v(946)=v(92)*(v(731)+v(94))
      v(941)=-(cTprevvec(4)*v(100))-cTprevvec(5)*v(102)-cTprevvec(6
     &)*v(104)-cTprevvec(7)*v(107)-cTprevvec(8)*v(109)+v(663)*(1d0+v
     &(729))-cTprevvec(1)*v(92)-cTprevvec(2)*v(94)-cTprevvec(3)*v(97
     &)
      v(667)=v(211)*v(274)+v(212)*v(275)+v(213)*v(276)
      v(668)=v(211)*v(275)+v(212)*v(278)+v(213)*v(279)
      v(669)=v(211)*v(276)+v(212)*v(279)+v(213)*v(281)
      v(739)=v(659)*v(667)+v(660)*v(668)+v(661)*v(669)
      v(738)=v(211)*v(667)+v(212)*v(668)+v(213)*v(669)
      v(718)=v(242)*v(667)+v(244)*v(668)+v(246)*v(669)
      v(708)=v(238)*v(667)+v(239)*v(668)+v(240)*v(669)
      v(699)=v(233)*v(667)+v(235)*v(668)+v(237)*v(669)
      v(691)=v(229)*v(667)+v(230)*v(668)+v(231)*v(669)
      v(684)=v(224)*v(667)+v(226)*v(668)+v(228)*v(669)
      v(678)=v(220)*v(667)+v(221)*v(668)+v(222)*v(669)
      v(671)=v(215)*v(667)+v(217)*v(668)+v(219)*v(669)
      v(672)=v(215)*v(274)+v(217)*v(275)+v(219)*v(276)
      v(673)=v(215)*v(275)+v(217)*v(278)+v(219)*v(279)
      v(674)=v(215)*v(276)+v(217)*v(279)+v(219)*v(281)
      v(752)=v(215)*v(672)+v(217)*v(673)+v(219)*v(674)
      v(749)=v(659)*v(672)+v(660)*v(673)+v(661)*v(674)
      v(719)=v(242)*v(672)+v(244)*v(673)+v(246)*v(674)
      v(709)=v(238)*v(672)+v(239)*v(673)+v(240)*v(674)
      v(700)=v(233)*v(672)+v(235)*v(673)+v(237)*v(674)
      v(692)=v(229)*v(672)+v(230)*v(673)+v(231)*v(674)
      v(685)=v(224)*v(672)+v(226)*v(673)+v(228)*v(674)
      v(679)=v(220)*v(672)+v(221)*v(673)+v(222)*v(674)
      v(680)=v(220)*v(274)+v(221)*v(275)+v(222)*v(276)
      v(681)=v(220)*v(275)+v(221)*v(278)+v(222)*v(279)
      v(682)=v(220)*v(276)+v(221)*v(279)+v(222)*v(281)
      v(771)=v(220)*v(680)+v(221)*v(681)+v(222)*v(682)
      v(766)=v(659)*v(680)+v(660)*v(681)+v(661)*v(682)
      v(720)=v(242)*v(680)+v(244)*v(681)+v(246)*v(682)
      v(710)=v(238)*v(680)+v(239)*v(681)+v(240)*v(682)
      v(701)=v(233)*v(680)+v(235)*v(681)+v(237)*v(682)
      v(693)=v(229)*v(680)+v(230)*v(681)+v(231)*v(682)
      v(686)=v(224)*v(680)+v(226)*v(681)+v(228)*v(682)
      v(687)=v(224)*v(274)+v(226)*v(275)+v(228)*v(276)
      v(688)=v(224)*v(275)+v(226)*v(278)+v(228)*v(279)
      v(689)=v(224)*v(276)+v(226)*v(279)+v(228)*v(281)
      v(788)=v(224)*v(687)+v(226)*v(688)+v(228)*v(689)
      v(781)=v(659)*v(687)+v(660)*v(688)+v(661)*v(689)
      v(721)=v(242)*v(687)+v(244)*v(688)+v(246)*v(689)
      v(711)=v(238)*v(687)+v(239)*v(688)+v(240)*v(689)
      v(702)=v(233)*v(687)+v(235)*v(688)+v(237)*v(689)
      v(694)=v(229)*v(687)+v(230)*v(688)+v(231)*v(689)
      v(695)=v(229)*v(274)+v(230)*v(275)+v(231)*v(276)
      v(696)=v(229)*v(275)+v(230)*v(278)+v(231)*v(279)
      v(697)=v(229)*v(276)+v(230)*v(279)+v(231)*v(281)
      v(805)=v(229)*v(695)+v(230)*v(696)+v(231)*v(697)
      v(799)=v(659)*v(695)+v(660)*v(696)+v(661)*v(697)
      v(722)=v(242)*v(695)+v(244)*v(696)+v(246)*v(697)
      v(712)=v(238)*v(695)+v(239)*v(696)+v(240)*v(697)
      v(703)=v(233)*v(695)+v(235)*v(696)+v(237)*v(697)
      v(704)=v(233)*v(274)+v(235)*v(275)+v(237)*v(276)
      v(705)=v(233)*v(275)+v(235)*v(278)+v(237)*v(279)
      v(706)=v(233)*v(276)+v(235)*v(279)+v(237)*v(281)
      v(820)=v(233)*v(704)+v(235)*v(705)+v(237)*v(706)
      v(810)=v(659)*v(704)+v(660)*v(705)+v(661)*v(706)
      v(723)=v(242)*v(704)+v(244)*v(705)+v(246)*v(706)
      v(713)=v(238)*v(704)+v(239)*v(705)+v(240)*v(706)
      v(714)=v(238)*v(274)+v(239)*v(275)+v(240)*v(276)
      v(715)=v(238)*v(275)+v(239)*v(278)+v(240)*v(279)
      v(716)=v(238)*v(276)+v(239)*v(279)+v(240)*v(281)
      v(837)=v(238)*v(714)+v(239)*v(715)+v(240)*v(716)
      v(826)=v(659)*v(714)+v(660)*v(715)+v(661)*v(716)
      v(724)=v(242)*v(714)+v(244)*v(715)+v(246)*v(716)
      v(725)=v(242)*v(274)+v(244)*v(275)+v(246)*v(276)
      v(726)=v(242)*v(275)+v(244)*v(278)+v(246)*v(279)
      v(727)=v(242)*v(276)+v(244)*v(279)+v(246)*v(281)
      v(854)=v(242)*v(725)+v(244)*v(726)+v(246)*v(727)
      v(840)=v(659)*v(725)+v(660)*v(726)+v(661)*v(727)
      resT(1)=v(158)*(v(92)*v(941)+v(942)*(v(57)*v(671)+v(58)*v(678)
     &+v(59)*v(684)+v(60)*v(691)+v(61)*v(699)+v(62)*v(708)+v(63)*v
     &(718)+v(56)*v(738)+v(739)*v(943)))
      resT(2)=v(158)*(v(94)*v(941)+v(942)*(v(56)*v(671)+v(58)*v(679)
     &+v(59)*v(685)+v(60)*v(692)+v(61)*v(700)+v(62)*v(709)+v(63)*v
     &(719)+v(57)*v(752)+v(749)*v(943)))
      resT(3)=v(158)*(v(942)*(v(56)*v(678)+v(57)*v(679)+v(59)*v(686)
     &+v(60)*v(693)+v(61)*v(701)+v(62)*v(710)+v(63)*v(720)+v(58)*v
     &(771)+v(766)*v(943))+v(941)*v(97))
      resT(4)=v(158)*(v(100)*v(941)+v(942)*(v(56)*v(684)+v(57)*v(685)
     &+v(58)*v(686)+v(60)*v(694)+v(61)*v(702)+v(62)*v(711)+v(63)*v
     &(721)+v(59)*v(788)+v(781)*v(943)))
      resT(5)=v(158)*(v(102)*v(941)+v(942)*(v(56)*v(691)+v(57)*v(692)
     &+v(58)*v(693)+v(59)*v(694)+v(61)*v(703)+v(62)*v(712)+v(63)*v
     &(722)+v(60)*v(805)+v(799)*v(943)))
      resT(6)=v(158)*(v(104)*v(941)+v(942)*(v(56)*v(699)+v(57)*v(700)
     &+v(58)*v(701)+v(59)*v(702)+v(60)*v(703)+v(62)*v(713)+v(63)*v
     &(723)+v(61)*v(820)+v(810)*v(943)))
      resT(7)=v(158)*(v(107)*v(941)+v(942)*(v(56)*v(708)+v(57)*v(709)
     &+v(58)*v(710)+v(59)*v(711)+v(60)*v(712)+v(61)*v(713)+v(63)*v
     &(724)+v(62)*v(837)+v(826)*v(943)))
      resT(8)=v(158)*(v(109)*v(941)+v(942)*(v(56)*v(718)+v(57)*v(719)
     &+v(58)*v(720)+v(59)*v(721)+v(60)*v(722)+v(61)*v(723)+v(62)*v
     &(724)+v(63)*v(854)+v(840)*v(943)))
      tangTT(1,1)=v(158)*(v(944)+v(729)*v(944)+v(942)*(v(738)+v(739
     &)*v(945)))
      tangTT(1,2)=v(158)*(v(946)+v(942)*(v(671)+v(739)*v(947)))
      tangTT(1,3)=v(158)*(v(948)+v(942)*(v(678)+v(739)*v(949)))
      tangTT(1,4)=v(158)*(v(950)+v(942)*(v(684)+v(739)*v(951)))
      tangTT(1,5)=v(158)*(v(952)+v(942)*(v(691)+v(739)*v(953)))
      tangTT(1,6)=v(158)*(v(954)+v(942)*(v(699)+v(739)*v(955)))
      tangTT(1,7)=v(158)*(v(956)+v(942)*(v(708)+v(739)*v(957)))
      tangTT(1,8)=v(158)*(v(958)+v(942)*(v(718)+v(739)*v(959)))
      tangTT(2,1)=v(158)*(v(942)*(v(671)+v(749)*v(945))+v(946))
      tangTT(2,2)=v(158)*(v(731)*v(94)+v(942)*(v(752)+v(749)*v(947))+
     &(v(94)*v(94)))
      tangTT(2,3)=v(158)*(v(942)*(v(679)+v(749)*v(949))+v(960))
      tangTT(2,4)=v(158)*(v(948)+v(942)*(v(685)+v(749)*v(951)))
      tangTT(2,5)=v(158)*(v(942)*(v(692)+v(749)*v(953))+v(954))
      tangTT(2,6)=v(158)*(v(942)*(v(700)+v(749)*v(955))+v(961))
      tangTT(2,7)=v(158)*(v(942)*(v(709)+v(749)*v(957))+v(962))
      tangTT(2,8)=v(158)*(v(956)+v(942)*(v(719)+v(749)*v(959)))
      tangTT(3,1)=v(158)*(v(942)*(v(678)+v(766)*v(945))+v(948))
      tangTT(3,2)=v(158)*(v(942)*(v(679)+v(766)*v(947))+v(960))
      tangTT(3,3)=v(158)*(v(942)*(v(771)+v(766)*v(949))+v(732)*v(97)+
     &(v(97)*v(97)))
      tangTT(3,4)=v(158)*(v(942)*(v(686)+v(766)*v(951))+v(963))
      tangTT(3,5)=v(158)*(v(942)*(v(693)+v(766)*v(953))+v(956))
      tangTT(3,6)=v(158)*(v(942)*(v(701)+v(766)*v(955))+v(962))
      tangTT(3,7)=v(158)*(v(942)*(v(710)+v(766)*v(957))+v(964))
      tangTT(3,8)=v(158)*(v(942)*(v(720)+v(766)*v(959))+v(965))
      tangTT(4,1)=v(158)*(v(942)*(v(684)+v(781)*v(945))+v(950))
      tangTT(4,2)=v(158)*(v(942)*(v(685)+v(781)*v(947))+v(948))
      tangTT(4,3)=v(158)*(v(942)*(v(686)+v(781)*v(949))+v(963))
      tangTT(4,4)=v(158)*((v(100)*v(100))+v(100)*v(733)+v(942)*(v(788
     &)+v(781)*v(951)))
      tangTT(4,5)=v(158)*(v(942)*(v(694)+v(781)*v(953))+v(958))
      tangTT(4,6)=v(158)*(v(942)*(v(702)+v(781)*v(955))+v(956))
      tangTT(4,7)=v(158)*(v(942)*(v(711)+v(781)*v(957))+v(965))
      tangTT(4,8)=v(158)*(v(942)*(v(721)+v(781)*v(959))+v(966))
      tangTT(5,1)=v(158)*(v(942)*(v(691)+v(799)*v(945))+v(952))
      tangTT(5,2)=v(158)*(v(942)*(v(692)+v(799)*v(947))+v(954))
      tangTT(5,3)=v(158)*(v(942)*(v(693)+v(799)*v(949))+v(956))
      tangTT(5,4)=v(158)*(v(942)*(v(694)+v(799)*v(951))+v(958))
      tangTT(5,5)=v(158)*((v(102)*v(102))+v(102)*v(734)+v(942)*(v(805
     &)+v(799)*v(953)))
      tangTT(5,6)=v(158)*(v(942)*(v(703)+v(799)*v(955))+v(967))
      tangTT(5,7)=v(158)*(v(942)*(v(712)+v(799)*v(957))+v(968))
      tangTT(5,8)=v(158)*(v(942)*(v(722)+v(799)*v(959))+v(969))
      tangTT(6,1)=v(158)*(v(942)*(v(699)+v(810)*v(945))+v(954))
      tangTT(6,2)=v(158)*(v(942)*(v(700)+v(810)*v(947))+v(961))
      tangTT(6,3)=v(158)*(v(942)*(v(701)+v(810)*v(949))+v(962))
      tangTT(6,4)=v(158)*(v(942)*(v(702)+v(810)*v(951))+v(956))
      tangTT(6,5)=v(158)*(v(942)*(v(703)+v(810)*v(953))+v(967))
      tangTT(6,6)=v(158)*((v(104)*v(104))+v(104)*v(735)+v(942)*(v(820
     &)+v(810)*v(955)))
      tangTT(6,7)=v(158)*(v(942)*(v(713)+v(810)*v(957))+v(970))
      tangTT(6,8)=v(158)*(v(942)*(v(723)+v(810)*v(959))+v(968))
      tangTT(7,1)=v(158)*(v(942)*(v(708)+v(826)*v(945))+v(956))
      tangTT(7,2)=v(158)*(v(942)*(v(709)+v(826)*v(947))+v(962))
      tangTT(7,3)=v(158)*(v(942)*(v(710)+v(826)*v(949))+v(964))
      tangTT(7,4)=v(158)*(v(942)*(v(711)+v(826)*v(951))+v(965))
      tangTT(7,5)=v(158)*(v(942)*(v(712)+v(826)*v(953))+v(968))
      tangTT(7,6)=v(158)*(v(942)*(v(713)+v(826)*v(955))+v(970))
      tangTT(7,7)=v(158)*((v(107)*v(107))+v(107)*v(736)+v(942)*(v(837
     &)+v(826)*v(957)))
      tangTT(7,8)=v(158)*(v(942)*(v(724)+v(826)*v(959))+v(971))
      tangTT(8,1)=v(158)*(v(942)*(v(718)+v(840)*v(945))+v(958))
      tangTT(8,2)=v(158)*(v(942)*(v(719)+v(840)*v(947))+v(956))
      tangTT(8,3)=v(158)*(v(942)*(v(720)+v(840)*v(949))+v(965))
      tangTT(8,4)=v(158)*(v(942)*(v(721)+v(840)*v(951))+v(966))
      tangTT(8,5)=v(158)*(v(942)*(v(722)+v(840)*v(953))+v(969))
      tangTT(8,6)=v(158)*(v(942)*(v(723)+v(840)*v(955))+v(968))
      tangTT(8,7)=v(158)*(v(942)*(v(724)+v(840)*v(957))+v(971))
      tangTT(8,8)=v(158)*((v(109)*v(109))+v(109)*v(737)+v(942)*(v(854
     &)+v(840)*v(959)))
      END
